Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZBulkMailTemplate Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $id=-1)
| get ( $id=-1)
| id ()
| header ()
| footer ()
| name ()
| description ()
| setHeader ( $value)
| setFooter ( $value)
| setName ( $value)
| setDescription ( $value)
| buildMessage ( $message)

## Static Public Member Functions
static | getAll ()

## Public Attributes
| $Header
| $Footer
| $Name
| $Description
| $ID

## Detailed Description

! eZBulkMail eZBulkMailTemplate documentation.

Example code:

Definition at line 39 of file ezbulkmailtemplate.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBulkMailTemplate::__construct | ( |  | $id = `-1` | ) |

Definition at line 43 of file ezbulkmailtemplate.php.

References $ID, and $id.

## Member Function Documentation

## ◆ buildMessage()

eZBulkMailTemplate::buildMessage | ( |  | $message | ) |

Adds the footer and the header to the given message and returns the result.

Definition at line 237 of file ezbulkmailtemplate.php.

References $Footer, and $message.

## ◆ delete()

eZBulkMailTemplate::delete | ( |  | $id = `-1` | ) |

Deletes a eZBulkMail object from the database.

Definition at line 100 of file ezbulkmailtemplate.php.

References $db, $ID, $id, $result, and eZDB\globalDatabase().

## ◆ description()

eZBulkMailTemplate::description | ( |  | ) |

Returns the description of this template

Definition at line 195 of file ezbulkmailtemplate.php.

References $Description.

## ◆ footer()

eZBulkMailTemplate::footer | ( |  | ) |

Returns the footer

Definition at line 179 of file ezbulkmailtemplate.php.

References $Footer.

## ◆ get()

eZBulkMailTemplate::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

Definition at line 118 of file ezbulkmailtemplate.php.

References $db, $id, $template_array, eZDB\globalDatabase(), and Name.

## ◆ getAll()

static eZBulkMailTemplate::getAll | ( |  | ) |
| static

Returns all the templates found in the database.

The categories are returned as an array of eZBulkMailTemplate objects.

Definition at line 145 of file ezbulkmailtemplate.php.

References $db, $i, and $template_array.

## ◆ header()

eZBulkMailTemplate::header | ( |  | ) |

Returns the header

Definition at line 171 of file ezbulkmailtemplate.php.

References $Header.

## ◆ id()

eZBulkMailTemplate::id | ( |  | ) |

Returns the header

Definition at line 163 of file ezbulkmailtemplate.php.

References $ID.

## ◆ name()

eZBulkMailTemplate::name | ( |  | ) |

Returns the name of this template

Definition at line 187 of file ezbulkmailtemplate.php.

References $Name.

## ◆ setDescription()

eZBulkMailTemplate::setDescription | ( |  | $value | ) |

Sets the name

Definition at line 228 of file ezbulkmailtemplate.php.

## ◆ setFooter()

eZBulkMailTemplate::setFooter | ( |  | $value | ) |

Sets the footer

Definition at line 212 of file ezbulkmailtemplate.php.

## ◆ setHeader()

eZBulkMailTemplate::setHeader | ( |  | $value | ) |

Sets the header.

Definition at line 204 of file ezbulkmailtemplate.php.

## ◆ setName()

eZBulkMailTemplate::setName | ( |  | $value | ) |

Sets the name

Definition at line 220 of file ezbulkmailtemplate.php.

References Name.

## ◆ store()

eZBulkMailTemplate::store | ( |  | ) |

Stores a eZBulkMail object to the database.

Definition at line 55 of file ezbulkmailtemplate.php.

References $db, $header, $name, $result, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $Description

eZBulkMailTemplate::$Description

Definition at line 245 of file ezbulkmailtemplate.php.

Referenced by description().

## ◆ $Footer

eZBulkMailTemplate::$Footer

Definition at line 243 of file ezbulkmailtemplate.php.

Referenced by buildMessage(), and footer().

## ◆ $Header

eZBulkMailTemplate::$Header

Definition at line 242 of file ezbulkmailtemplate.php.

Referenced by header().

## ◆ $ID

eZBulkMailTemplate::$ID

Definition at line 246 of file ezbulkmailtemplate.php.

Referenced by __construct(), delete(), and id().

## ◆ $Name

eZBulkMailTemplate::$Name

Definition at line 244 of file ezbulkmailtemplate.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezbulkmailtemplate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.